resource "aws_launch_configuration" "catherine_fc_conf" {
    name_prefix = "catherine-fc-conf-"
    image_id = data.aws_ami.catherine_fc_ami.id
    instance_type = var.ec2_instance_type
    iam_instance_profile = aws_iam_instance_profile.catherine_fc_profile.name
    security_groups = [
        aws_security_group.catherine_fc_asg_sg.id
    ]
    user_data = <<-EOF
                #!/bin/bash
                yum -y update
                EOF

    root_block_device {
        volume_type = "gp2"
        volume_size = 16
    }
    associate_public_ip_address = false
    key_name = var.key_name
}
